> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Spotflow Static Virtual Accounts

> This retrieves and lists all the accounts you've created. This is both for your main account and static (sub) accounts.



## OpenAPI

````yaml openapi.json GET /accounts
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /accounts:
    get:
      description: >-
        This retrieves and lists all the static virtual accounts you've created.
        This is both for your main account and static virtual accounts
        (sub-accounts).
      operationId: ListStaticVirtualAccounts
      parameters:
        - name: page
          in: query
          required: false
          description: Page number for pagination (default is 0).
          schema:
            type: integer
            format: int32
            default: 0
        - name: size
          in: query
          required: false
          description: Number of items per page for pagination (default is 10).
          schema:
            type: integer
            format: int32
            default: 10
        - name: accountTag
          in: query
          required: false
          description: This can either be static virtual accounts, or main-account.
          schema:
            type: string
            enum:
              - sub-account
              - main-account
        - name: currency
          in: query
          required: false
          description: >-
            Choose the currency you want for your static virtual account.
            According, to our currently supported currencies, this is in NGN or
            GHS.
          schema:
            type: string
            enum:
              - NGN
              - GHS
        - name: mode
          in: query
          required: false
          description: This can either be test or live mode.
          schema:
            type: string
            enum:
              - test
              - live
        - name: accountNumber
          in: query
          required: false
          description: >-
            This filters by the account number created for the static virtual
            accounts.
          schema:
            type: string
        - name: from
          in: query
          required: false
          description: ''
          schema:
            type: string
            format: date-time
            example: '2025-02-28'
        - name: to
          in: query
          required: false
          description: ''
          schema:
            type: string
            format: date-time
            example: '2025-03-03'
      responses:
        '200':
          description: A JSON array of static virtual accounts objects.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/StaticVirtualAccountsDetailsResponse'
        '400':
          description: Not Found - No subscriptions found for the given plan ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
components:
  schemas:
    StaticVirtualAccountsDetailsResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        balanceId:
          type: string
          example: bln_52448a75-248e-4277-932f-5af5c325d372
        accountName:
          type: string
          example: Main GHS Account
        accountNumber:
          type: string
          example: '7706438396'
        parentAccountId:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        currency:
          type: string
          example: GHS
        mode:
          type: string
          enum:
            - live
            - test
          example: live
        accountTag:
          type: string
          example: main-account
        status:
          type: string
          example: active
        createdAt:
          type: string
          format: date-time
          example: '2025-07-22T11:25:28.792959Z'
        updatedAt:
          type: string
          format: date-time
          example: '2025-08-07T11:56:49.337647Z'
        accountDetails:
          type: object
          properties:
            accountName:
              type: string
              example: SPOTFLOW/Quantum Technologies
            accountNumber:
              type: string
              example: '7806438396'
            bankName:
              type: string
              example: Testbank MFB
      required:
        - id
        - balanceId
        - accountName
        - accountNumber
        - parentAccountId
        - currency
        - mode
        - status
        - createdAt
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    Error401:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
        message:
          type: string
          example: invalid_credentials
        status:
          type: integer
          format: float
          example: 401
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````